# frozen_string_literal: true

require 'league_track_abrophy/version'

require_relative('./game')
require_relative('./league')

# takes in score file input and returns the final results for a league
module LeagueTrackAbrophy
  def self.process(input_array)
    games = input_array.map do |item|
      Game.new(item)
    end
    league = League.new(games)
    league.results.join("\n")
  end
end
